## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/
management

/v2.0

/organisations

{organisationId}

Try it

Get an Organization

cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId} \
  --header 'Authorization: Basic <encoded-value>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Basic <encoded-value>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```java
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}")
  .header("Authorization", "Basic <encoded-value>")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
```

200

400

401

402

403

404

405

409

413

500

501

502

503

504

```json
{
  "_id": "<string>",
  "businessUnitId": "<string>",
  "tenantId": "<string>",
  "name": "<string>",
  "disabled": true,
  "quotaMaxProjects": 123,
  "quotaMaxUsers": 123,
  "quotaMaxChannelsPerProject": 123,
  "quotaMaxMessagesPerDay": 123,
  "quotaMaxKnowledgeChunks": 123,
  "passwordPolicy": {
    "minLength": 123,
    "maxLength": 123,
    "minAmountLowerCase": 123,
    "minAmountUpperCase": 123,
    "minAmountSpecialCharacters": 123,
    "minAmountNumbers": 123,
    "maxAmountIdenticalCharacters": 123,
    "minAmountFailedAttemptsAutoDisable": 123
  },
  "sessionStateTTLInMinutes": 123,
  "contactProfileTTLInMinutes": 123,
  "conversationTTLInMinutes": 123,
  "liveAgentAccount": 123,
  "billingTimezone": "Europe/Berlin",
  "dataPrivacySettings": {
    "enabled": true,
    "useAnalytics": true,
    "useContactProfiles": true,
    "useConversations": true,
    "maskAnalytics": true,
    "maskLogging": true,
    "ignoreList": [
      "<string>"
    ]
  },
  "aiOpsCenterEnabled": true
}
```

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {},
  "logLevel": "error"
}
```

```json
{
  "type": "Method Not Allowed",
  "title": "Method Not Allowed Error",
  "status": 405,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Conflict",
  "title": "Conflict Error",
  "status": 409,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1004,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Payload Too Large",
  "title": "Payload Too Large Error",
  "status": 413,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Internal Server Error",
  "title": "Internal Server Error",
  "status": 500,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Not Implemented",
  "title": "Not Implemented Error",
  "status": 501,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1009,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Bad Gateway",
  "title": "Bad Gateway Error",
  "status": 502,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Service Unavailable",
  "title": "Service Unavailable Error",
  "status": 503,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 503,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Gateway Timeout",
  "title": "Gateway Timeout Error",
  "status": 504,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Authorizations

Authorization

string

header

required

Basic Authentication used by routes designed for the Management-UI.

#### Headers

Accept

enum<string>

The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

Available options:

`application/json`,

`application/hal+json`,

`application/xml`,

`text/xml`,

`text/csv`

#### Path Parameters

organisationId

string

required

The Id of the Organisation

Required string length: `24`

Pattern: `^[a-z0-9]{24}$`

#### Response

200

application/json

Returns the Organisation.

```json
{
  "_id": "string",
  "businessUnitId": "string",
  "tenantId": "string",
  "name": "string",
  "disabled": true,
  "quotaMaxProjects": 123,
  "quotaMaxUsers": 123,
  "quotaMaxChannelsPerProject": 123,
  "quotaMaxMessagesPerDay": 123,
  "quotaMaxKnowledgeChunks": 123,
  "passwordPolicy": {
    "minLength": 123,
    "maxLength": 123,
    "minAmountLowerCase": 123,
    "minAmountUpperCase": 123,
    "minAmountSpecialCharacters": 123,
    "minAmountNumbers": 123,
    "maxAmountIdenticalCharacters": 123,
    "minAmountFailedAttemptsAutoDisable": 123
  },
  "sessionStateTTLInMinutes": 123,
  "contactProfileTTLInMinutes": 123,
  "conversationTTLInMinutes": 123,
  "liveAgentAccount": 123,
  "billingTimezone": "Europe/Berlin",
  "dataPrivacySettings": {
    "enabled": true,
    "useAnalytics": true,
    "useContactProfiles": true,
    "useConversations": true,
    "maskAnalytics": true,
    "maskLogging": true,
    "ignoreList": [
      "string"
    ]
  },
  "aiOpsCenterEnabled": true
}
```

Last modified onJuly 8, 2026

Get an Organization

---
  
---

---
